{{- if .Values.enabled -}}
{{- if .Values.tests.performance.enabled -}}
---
apiVersion: v1
kind: Service
metadata:
  name: {{ include "ska-pst-recv.fullname" . }}-test-performance
  labels:
    {{- include "ska-pst-recv.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.tests.performance.service.port }}
      targetPort: {{ .Values.tests.performance.service.targetPort }}
      protocol: {{ .Values.tests.performance.service.protocol }}
      name: {{ .Values.service.name }}
  selector:
    bdd-test: performance
    bdd-test-component: recv
    {{- include "ska-pst-recv.selectorLabels" . | nindent 4 }}
{{- end }}
{{- end }}